# Uses of Interface
org.eclipse.mat.query.quantize.Quantize.Function.Factory

Packages that use Quantize.Function.Factory
Package
Description
org.eclipse.mat.query.quantize
Value or linear frequency distribution histograms.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.

## Uses of Quantize.Function.Factory in org.eclipse.mat.query.quantize

Classes in org.eclipse.mat.query.quantize that implement Quantize.Function.Factory
Modifier and Type
Class
Description
`final class`
`LatestValueFunction`
Simple quantize function which just returns the last value add to the distribution bucket.
Fields in org.eclipse.mat.query.quantize declared as Quantize.Function.Factory
Modifier and Type
Field
Description
`static final Quantize.Function.Factory`
Quantize.`AVERAGE`
Function to find the average value.
`static final Quantize.Function.Factory`
Quantize.`AVERAGE_BYTES`
Function to find the average Bytes value.
`static final Quantize.Function.Factory`
Quantize.`AVERAGE_LONG`
Function to find the average long value.
`static final Quantize.Function.Factory`
Quantize.`COUNT`
Function to count values.
`static final Quantize.Function.Factory`
Quantize.`MAX`
Function to find the maximum double value.
`static final Quantize.Function.Factory`
Quantize.`MAX_BYTES`
Function to find the maximum Bytes value.
`static final Quantize.Function.Factory`
Quantize.`MAX_LONG`
Function to find the maximum long value.
`static final Quantize.Function.Factory`
Quantize.`MIN`
Function to find the minimum double value.
`static final Quantize.Function.Factory`
Quantize.`MIN_BYTES`
Function to find the minimum Bytes value.
`static final Quantize.Function.Factory`
Quantize.`MIN_LONG`
Function to find the minimum long value.
`static final Quantize.Function.Factory`
Quantize.`SUM`
Function to add values as doubles.
`static final Quantize.Function.Factory`
Quantize.`SUM_BYTES`
Function to add values as Bytes.
`static final Quantize.Function.Factory`
Quantize.`SUM_LONG`
Function to add values as longs.
Methods in org.eclipse.mat.query.quantize with parameters of type Quantize.Function.Factory
Modifier and Type
Method
Description
`Quantize.Builder`
Quantize.Builder.`column(String label, Quantize.Function.Factory function)`
Add a column identified by label and function.
`Quantize.Builder`
Quantize.Builder.`column(String label, Quantize.Function.Factory function, Column.SortDirection sortDirection)`
Add a column identified by label and function and sort the result in the given sort direction.

## Uses of Quantize.Function.Factory in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query with parameters of type Quantize.Function.Factory
Modifier and Type
Method
Description
`TQuantize.Builder`
TQuantize.Builder.`column(String label, Column baseColumn, int baseColumnIndex, Quantize.Function.Factory qff)`
Add a column with label and function.